### Hierarchy

- Permission

### Implements

- IPermission

## Index

### Constructors

- constructor

### Properties

- create
- delete
- execute
- name
- read
- update

### Methods

- get
- set

## Constructors

### constructor

- new Permission(name: string, create?: boolean, read?: boolean, update?: boolean, del?: boolean): Permission

- - Defined in permissions/permission.ts:17

  #### Parameters

  - ##### name: string

  - ##### Default value create: boolean = false

  - ##### Default value read: boolean = true

  - ##### Default value update: boolean = false

  - ##### Default value del: boolean = false

  #### Returns Permission

## Properties

### create

create: any

- Defined in permissions/permission.ts:13

### delete

delete: any

- Defined in permissions/permission.ts:16

### execute

execute: boolean

- Defined in permissions/permission.ts:17

### name

name: any

- Defined in permissions/permission.ts:12

### read

read: any

- Defined in permissions/permission.ts:14

### update

update: any

- Defined in permissions/permission.ts:15

## Methods

### get

- get(): any[]

- - Defined in permissions/permission.ts:34

  #### Returns any[]

### set

- set(create: boolean, read: boolean, update: boolean, del: boolean): void

- - Defined in permissions/permission.ts:27

  #### Parameters

  - ##### create: boolean

  - ##### read: boolean

  - ##### update: boolean

  - ##### del: boolean

  #### Returns void